package com.best.javaSdk.tmsGpsQuery.request;

import com.best.javaSdk.BaseRequest;
import com.best.javaSdk.BaseResponse;
import com.best.javaSdk.Parser;


public class TmsGpsQueryReq implements BaseRequest {
	private String projectCode;
	private String orderCode;
	private long startTime;
	private long endTime;

    public String getProjectCode()
    {
        return this.projectCode;
    }

    public void setProjectCode(String value)
    {
        this.projectCode = value;
    }

    public String getOrderCode()
    {
        return this.orderCode;
    }

    public void setOrderCode(String value)
    {
        this.orderCode = value;
    }

    public long getStartTime()
    {
        return this.startTime;
    }

    public void setStartTime(long value)
    {
        this.startTime = value;
    }

    public long getEndTime()
    {
        return this.endTime;
    }

    public void setEndTime(long value)
    {
        this.endTime = value;
    }

    public String obtainServiceType() {
        return "TMS_GPS_QUERY";
    }

    public BaseResponse makeResponse(String rsp, String format) {
        if ("xml".equalsIgnoreCase(format)) {
			return Parser.coverXml2Object(rsp, com.best.javaSdk.tmsGpsQuery.response.TmsGpsQueryRsp.class);
		}
		return Parser.convertJson2Object(rsp, com.best.javaSdk.tmsGpsQuery.response.TmsGpsQueryRsp.class);

    }

}
