package com.best.javaSdk.twCancelNotiry.request;

import com.best.javaSdk.BaseRequest;
import com.best.javaSdk.BaseResponse;
import com.best.javaSdk.Parser;


public class TwCancelNotiryReq implements BaseRequest {
	private String customerCode;
	private String orderCode;
	private String operationTypeCode;

    public String getCustomerCode()
    {
        return this.customerCode;
    }

    public void setCustomerCode(String value)
    {
        this.customerCode = value;
    }

    public String getOrderCode()
    {
        return this.orderCode;
    }

    public void setOrderCode(String value)
    {
        this.orderCode = value;
    }

    public String getOperationTypeCode()
    {
        return this.operationTypeCode;
    }

    public void setOperationTypeCode(String value)
    {
        this.operationTypeCode = value;
    }

    public String obtainServiceType() {
        return "TW_CANCEL_NOTIRY";
    }

    public BaseResponse makeResponse(String rsp, String format) {
        if ("xml".equalsIgnoreCase(format)) {
			return Parser.coverXml2Object(rsp, com.best.javaSdk.twCancelNotiry.response.TwCancelNotiryRsp.class);
		}
		return Parser.convertJson2Object(rsp, com.best.javaSdk.twCancelNotiry.response.TwCancelNotiryRsp.class);

    }

    @Override
    public String toString() {
        return "TwCancelNotiryReq{" +
                "customerCode='" + customerCode + '\'' +
                ", orderCode='" + orderCode + '\'' +
                ", operationTypeCode='" + operationTypeCode + '\'' +
                '}';
    }
}
